dist: xenial
language: python

python:
 - "2.7"
 - "3.5"
 - "3.6"
 - "3.7"

install:
  - pip install -r .requirements_dev.txt
  - pip install .

script: pytest -vv tests/

jobs:
  include:
    - stage: test
      script: flake8 --max-line-length=120 fast_curator tests
      name: flake8
